Subject: Time Stamps

From: Shannon Nix <[email-masked]>
Date: Sun, 12 Nov 95 10:10:30 EST

Hi,

I have been watching this thread on three
separate mailers.  WRT the dlsw-mib, I would
like to see us reach some closure quickly.

First let me try to capture the issue (let
me know if I've missed the point):

The need has repeatedly arisen in SNMP MIBs
to "record a point in time at which an
event occurs".  Prior art in SNMP has established
a de facto way of doing this and that is to
have an object (TimeStamp textual convention) which
represents the value of sysUpTime (a required
object) when the event occurs.

David Chen with his collegues at IBM have noted
that this paradigm can be problematic when implemented
on agents that logically span more than one address
space.  Internally they had developed another
paradigm to represent such objects, and that is
to record a time interval which itself is relative
to two points in time depending on the object.  Early
in the DLSw MIB effort, David brought this paradigm
to the group, explained it and defended it.  There
was some discussion at this point but it was not
a highly contentious issue.

Now, at a very late stage of our MIB life-cycle, Jim
Cobban has raised the issue that we have departed
from the SNMP prior art.  While I happen to think that
Jim has a very relavent point, it comes at a particularly
bad time with respect to our MIB life-cycle (I realize
that Jim's observations originally were made relative
to the APPN MIB which is not as far along).

A compromise has been proposed, which, to my way of thinking,
is basically a "lets allow it to be done either way" sort
of approach.  I feel strongly that this is wrong.  I believe
that picking either of the two approaches would be considerably
better than allowing agents to implement to different paradigms. 
While this is great if one is a agent implementor, it sure seems
like we are forcing many NM app developers to solve the problem
both ways.  Have I misunderstood the compromise?

I would like to propose that we submit the MIB in its current form
to the NM directorate for review but NOTE that the "timestamp 
paradigm" is an open issue.  We can then:

1.  Have the other objects reviewed on a thread parallel to
    our resolving the timestamp issue.  I don't think its
    resolution is going to radically effect the MIB design.

2.  Perhaps we can get some input from the SNMP community.
    After all, while David has raised some very valid
    technical issues with the de facto paradigm, these
    issues are not unique to our problem space.  Before
    we depart on a different paradigm, let's have a better
    look at the prior art.

In summary, I recommend we submit the MIB in its current
form and continue this discussion in parallel.

What do others think?

Shannon